---
title: performance.toJSON()
slug: Web/API/Performance/toJSON
tags:
  - API
  - Method
  - Performance
  - Reference
---
<div>{{APIRef("High Resolution Timing")}}</div>

<p>The <strong><code>toJSON()</code></strong> method of the {{domxref("Performance")}} interface is a standard serializer: it returns a JSON representation of the performance object's properties.</p>

<p>{{availableinworkers}}</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">myPerf = performance.toJSON()
</pre>

<h3 id="Arguments">Arguments</h3>

<dl>
 <dt>None</dt>
 <dd> </dd>
</dl>

<h3 id="Return_value">Return value</h3>

<dl>
 <dt>myPerf</dt>
 <dd>A JSON object that is the serialization of the {{domxref("Performance")}} object.</dd>
</dl>

<h2 id="Example">Example</h2>

<pre class="brush: js">var js;
js = window.performance.toJSON();
console.log("json = " + JSON.stringify(js));
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Highres Time Level 2', '#dom-performance-tojson', 'toJSON() serializer')}}</td>
   <td>{{Spec2('Highres Time Level 2')}}</td>
   <td>Defines <code>toJson()</code>.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.Performance.toJSON")}}</p>
</div>
